> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Mobile Verify OTP

> This API operates on a skip logic basis. If the mobile number provided in the second step differs from the one linked to the Aadhaar, this API will be used to verify the new mobile number.



## OpenAPI

````yaml post /abdm/na/v1/registration/aadhaar/mobile/verify
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/na/v1/registration/aadhaar/mobile/verify:
    post:
      summary: Mobile Verify OTP
      description: >-
        This API operates on a skip logic basis. If the mobile number provided
        in the second step differs from the one linked to the Aadhaar, this API
        will be used to verify the new mobile number.
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
        - description: OID is used to Identify the user.
          in: query
          name: oid
          schema:
            description: OID is used to Identify the user.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerifyRequestType2'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VerifyResponseType2'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    VerifyRequestType2:
      properties:
        otp:
          description: OTP received on the mobile number
          type: string
        txn_id:
          description: Transaction ID received in the previous API response.
          type: string
      required:
        - txn_id
        - otp
      type: object
    VerifyResponseType2:
      properties:
        abha_profiles:
          description: Abha profiles of the user.
          items:
            $ref: '#/components/schemas/VerifyAbhaProfile'
          type: array
        eka:
          $ref: '#/components/schemas/RegistrationEkaIds'
        hint:
          type:
            - 'null'
            - string
        profile:
          $ref: '#/components/schemas/ProfileResponse'
        refresh_token:
          description: Refresh token of the user, issued by abdm
          type:
            - 'null'
            - string
        skip_state:
          enum:
            - abha_end
            - confirm_mobile_otp
            - abha_select
            - abha_create
          type: string
        token:
          description: Abha token of the user, issued by abdm
          type:
            - 'null'
            - string
        txn_id:
          description: Transaction ID required for the next API call.
          type: string
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    VerifyAbhaProfile:
      properties:
        abha_address:
          type: string
        kyc_verified:
          type: string
        name:
          type: string
      type: object
    RegistrationEkaIds:
      properties:
        min_token:
          description: Minimum token required for authentication
          type: string
        oid:
          type:
            - 'null'
            - string
        uuid:
          type:
            - 'null'
            - string
      type: object
    ProfileResponse:
      properties:
        abha_address:
          description: Primary/preferred abha address.
          examples:
            - shyam@abdm
          type: string
        abha_addresses:
          description: List of abha addresses associated with aadhaar
          items:
            type: string
          type: array
        abha_number:
          description: ABHA number assigned to the user.
          examples:
            - 12-3456-7856-8912
          type:
            - 'null'
            - string
        address:
          description: Address of the user.
          type:
            - 'null'
            - string
        day_of_birth:
          description: Day of birth of the user.
          type:
            - 'null'
            - integer
        district_code:
          type: string
        district_name:
          type: string
        first_name:
          description: User's first name.
          type:
            - 'null'
            - string
        full_name:
          type: string
        gender:
          description: Gender of the user (M - Male, F - Female, O - Other).
          enum:
            - M
            - F
            - O
          examples:
            - M
          type: string
        kyc_verified:
          description: Indicates whether the user’s KYC is verified.
          type:
            - 'null'
            - boolean
        last_name:
          description: User's last name.
          type:
            - 'null'
            - string
        middle_name:
          description: User's middle name.
          type:
            - 'null'
            - string
        mobile:
          description: Mobile number of the user.
          type:
            - 'null'
            - string
        month_of_birth:
          description: Month of birth of the user.
          type:
            - 'null'
            - integer
        pincode:
          description: Pincode of the user's address.
          type:
            - 'null'
            - string
        profile_photo:
          description: Base64-encoded profile photo.
          type: string
        state_code:
          type: string
        state_name:
          type: string
        sub_district_code:
          type: string
        sub_district_name:
          type: string
        town_code:
          type: string
        town_name:
          type: string
        village_code:
          type: string
        village_name:
          type: string
        ward_code:
          type: string
        ward_name:
          type: string
        year_of_birth:
          description: Year of birth of the user.
          type:
            - 'null'
            - integer
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````